if (nchar(installed.packages()[,'Package']['Cairo'])==5) { 
  library("Cairo"); 
  if (Cairo.capabilities()['png']) { 
    CairoPNG("plot.png") 
  } else { 
    pdf("plot.pdf") }
  } else { pdf("plot.pdf") 
}

library("Hmisc")

x = c(30, 35, 40, 45, 50, 55, 60)
u = c(0, 4139, 60842, 141468, 227406, 305999, 376696)
v = c(14891, 39372, 37275, 27167, 16925, 11660, 8703)
w = c(14732, 39167, 36885, 26846, 16399, 11211, 8475)
e = c(79,134,196,249,287,313,332)

par(mar=c(4,4,2,2)+0.1)
errbar(x,w,w-e,w+e,,yaxt="n",xlab="Efficiency (in %)",ylab="Extrinsic Value (in EUR)", type="b",pch=0,ylim=c(0,50000))
points(x,v,pch=3,type="b")
legend(x=32,y=50000,legend=c("finite difference", "perfect foresight (upper bound)"),pch=c(3,0))
axis(2, c(0, 1e4, 2e4, 3e4, 4e4, 5e4), expression(0, 10^4, '2*'*10^4, '3*'* 10^4, '4*'*10^4, '5*'* 10^4) )

dev.off()

